<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>2.3.1.RELEASE</version>
        <relativePath/> <!-- lookup parent from repository -->
    </parent>
    <groupId>cn.gov.customs</groupId>
    <artifactId>wxjy-data-serivce</artifactId>
    <version>0.0.1-SNAPSHOT</version>
    <name>wxjy-data-service</name>
    <description>Data Service project for Spring Boot</description>

    <properties>
        <java.version>1.8</java.version>
    </properties>

    <dependencies>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-amqp</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <scope>test</scope>
            <exclusions>
                <exclusion>
                    <groupId>org.junit.vintage</groupId>
                    <artifactId>junit-vintage-engine</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <!--lombok-->
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
        </dependency>

        <!-- hibernate  -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-data-jpa</artifactId>
            <exclusions>
                <exclusion>
                    <groupId>org.hibernate</groupId>
                    <artifactId>hibernate-core</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <!--升级hibernate-core的版本为5.6.11.Final,解决hibernate建表时采用默认设置，hibernate会把表名大写统一转换成下划线加小写，dm表名为大写-->
        <!--或者添加spring.jpa.hibernate.naming.physicalstrategy=org.hibernate.boot.model.naming.PhysicalNamingStrategyStandardImpl-->
        <dependency>
            <groupId>org.hibernate</groupId>
            <artifactId>hibernate-core</artifactId>
            <version>5.6.11.Final</version>
        </dependency>
        <!-- oracle  -->
        <dependency>
            <groupId>com.oracle.database.jdbc</groupId>
            <artifactId>ojdbc6</artifactId>
            <version>11.2.0.4</version>
        </dependency>
        <!-- dm -->
        <dependency>
            <groupId>com.dameng</groupId>
            <artifactId>DmJdbcDriver18</artifactId>
            <scope>system</scope>
            <systemPath>${pom.basedir}/src/main/resources/lib/DmJdbcDriver18-8.1.2.94.jar</systemPath>
            <version>8.1.2.94</version>
        </dependency>
        <!-- 引入本地 hibernate gbase8s JAR-->
        <dependency>
            <groupId>com.dameng</groupId>
            <artifactId>DmDialect-for-hibernate5.3</artifactId>
            <scope>system</scope>
            <systemPath>${pom.basedir}/src/main/resources/lib/DmDialect-for-hibernate5.3-8.1.2.141.jar</systemPath>
            <version>8.1.2.141</version>
        </dependency>

        <!-- gbase  -->
        <dependency>
            <groupId>com.gbase.jdbc</groupId>
            <artifactId>gbase-connector-java</artifactId>
            <!--<artifactId>gbase-connector-java-8.3.81.53-build54.4.7-bin-cutlog</artifactId>-->
            <scope>system</scope>
            <systemPath>${pom.basedir}/src/main/resources/lib/gbase-connector-java-8.3.81.53-build54.4.7-bin-cutlog.jar</systemPath>
            <version>8.3.81.53</version>
        </dependency>
        <!-- 引入本地 hibernate gbase8s JAR-->
        <dependency>
            <groupId>com.gbasedbt.hibernate</groupId>
            <artifactId>ifxhibernate</artifactId>
            <!--<artifactId>GBaseHibernate4.3.1-Dialect</artifactId>-->
            <scope>system</scope>
            <systemPath>${pom.basedir}/src/main/resources/lib/GBaseHibernate4.3.1-Dialect-8.3.81.51.jar</systemPath>
            <version>8.3.81.51</version>
        </dependency>
        <!-- log4j  -->
        <dependency>
            <groupId>log4j</groupId>
            <artifactId>log4j</artifactId>
            <version>1.2.16</version>
            <scope>compile</scope>
        </dependency>

		<!-- mp ���� -->
        <dependency>
            <groupId>com.baomidou</groupId>
            <artifactId>mybatis-plus</artifactId>
            <version>2.3</version>
        </dependency>

        <!--jasypt加密-->
        <dependency>
            <groupId>com.github.ulisesbocchio</groupId>
            <artifactId>jasypt-spring-boot-starter</artifactId>
            <version>3.0.3</version>
        </dependency>
    </dependencies>

    <build>
        <!--<resources>
            <resource>
                <directory>src/main/resources/lib</directory>
                <targetPath>/BOOT-INF/lib</targetPath>
            </resource>
        </resources>-->
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <configuration>
                    <includeSystemScope>true</includeSystemScope>
                </configuration>
            </plugin>
        </plugins>
    </build>

</project>
